#
# spec file for package xjadeo
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xjadeo
Version:        0.8.2
Release:        2.2
Summary:        Very simple video player that gets sync from Jack
License:        GPL-2.0+
Group:          Applications/Multimedia
Url:            http://xjadeo.sourceforge.net/
Source0:        http://sourceforge.net/projects/xjadeo/files/xjadeo/v0.8.2/%{name}-%{version}.tar.gz
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(imlib2) >= 1.3.0
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libavcodec) = 56.60.100
BuildRequires:  pkgconfig(libavformat) = 56.40.101
BuildRequires:  pkgconfig(libavutil) = 54.31.100
BuildRequires:  pkgconfig(liblo)
BuildRequires:  pkgconfig(libswscale) = 3.1.101
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xpm)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xjadeo is a very simple video player that gets sync from jack. When a
sequencer like Muse or Rosegarden acts as a timebase master, xjadeo will
display the video frame in sync with the sequencer transport. This means
that you can visually synchronize an audio event with a certain frame in
the movie, which comes quite handy when you want to create a soundtrack for
a video clip.

%prep
%setup -q

%build
export CFLAGS="-Wall %{optflags}"
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

install -Dm644 src/%{name}/icons/%{name}H128.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
%suse_update_desktop_file -c %{name} %{name} "The X Jack Video Monitor" %{name} %{name} AudioVideo Video Player

%files
%defattr(-,root,root,-)
%doc README NEWS COPYING AUTHORS ChangeLog
%{_bindir}/%{name}
%{_bindir}/xjremote
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/xjremote.1.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ArdourMono.ttf

%changelog
* Mon Oct  5 2015 avvissu@yandex.ru
- Update to 0.8.2:
  * see: /usr/share/doc/packages/xjadeo/ChangeLog
- Del pkgconfig(QtGui):
  * qjadeo is deprecated an not intended to be used
- Remove xjadeo.desktop: use %%%%suse_update_desktop_file
- Use a detailed list of files
- Spec file cleanup
* Sun Aug 24 2014 edogawa@aon.at
- initial release, version 0.8.0
- based on Fedora/Planet CCRMA specfile
